Bug 232962 - net/x2goclient: unbreak (bind -> ::bind)
Summary: net/x2goclient: unbreak (bind -> ::bind)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-04 13:24 UTC by Walter Schwarzenfeld
Modified: 2018-11-07 05:03 UTC (History)
3 users (show)

See Also:


Attachments
svn-diff-x2goclient (1.62 KB, patch)
2018-11-04 13:24 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2018-11-04 13:24:06 UTC
Created attachment 198941 [details]
svn-diff-x2goclient

Unbreak::

rc/sshprocess.cpp:146:71: error: invalid operands to binary expression
('__bind<unsigned int &, sockaddr *, unsigned long>' and 'int')
    if (bind(serverSocket,(struct sockaddr*) &address,sizeof(address))!=0)
Comment 1 Koichiro Iwao freebsd_committer 2018-11-05 16:02:08 UTC
Testbuild@work
Comment 2 commit-hook freebsd_committer 2018-11-05 23:52:50 UTC
A commit references this bug:

Author: meta
Date: Mon Nov  5 23:52:31 UTC 2018
New revision: 484262
URL: https://svnweb.freebsd.org/changeset/ports/484262

Log:
  net/x2goclient: unbreak the build

  While here, adjust USES.

  PR:		232962
  Submitted by:	w.schwarzenfeld@utanet.at
  Approved by:	mentors (implicit)

Changes:
  head/net/x2goclient/Makefile
  head/net/x2goclient/files/patch-src_sshprocess.cpp
Comment 3 Koichiro Iwao freebsd_committer 2018-11-05 23:55:34 UTC
Committed. thanks!
Comment 4 commit-hook freebsd_committer 2018-11-06 07:17:17 UTC
A commit references this bug:

Author: meta
Date: Tue Nov  6 07:16:29 UTC 2018
New revision: 484278
URL: https://svnweb.freebsd.org/changeset/ports/484278

Log:
  MFH: r484262

  net/x2goclient: unbreak the build

  While here, adjust USES.

  PR:		232962
  Submitted by:	w.schwarzenfeld@utanet.at
  Approved by:	mentors (implicit)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net/x2goclient/Makefile
  branches/2018Q4/net/x2goclient/files/patch-src_sshprocess.cpp
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-11-07 03:01:55 UTC
Thanks! Any reason to keep this open, or only forgotten to close?
Comment 6 Koichiro Iwao freebsd_committer 2018-11-07 05:03:12 UTC
Just forgotten to close.